import metodosFetch from "../app/metodosFetch.js?v=1.0.0";

class Municipio {
  constructor({ codigoMunicipio, nombreMunicipio }) {
    this.codigoMunicipio = codigoMunicipio;
    this.nombreMunicipio = nombreMunicipio;
  }

  static async obtenerPorDepartamento({ codigoDepartamento }) {
    try {
      const respuesta = await metodosFetch.get({
        archivo: "controllers/municipioController",
        parametros: {
          accion: "obtenerPorDepartamento",
          codigoDepartamento,
        },
        loader: false,
      });
      return respuesta;
    } catch (err) {
      throw err;
    }
  }
}

export default Municipio;
